Bug Hunting Session
Bug 45065 - Clipping issue (was: Problem with EDITING of technical pdfs)
Summary: Clipping issue (was: Problem with EDITING of technical pdfs)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 61144 (view as bug list)
Depends on: 86211
Blocks: PDF-Import-Draw Draw-Images
  Show dependency treegraph
 
Reported: 2012-01-21 18:41 UTC by brian.bj.parker99
Modified: 2019-04-20 02:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
original and modified pdfs (original created by UCSC genome browser) (137.53 KB, application/zip)
2012-01-21 18:41 UTC, brian.bj.parker99
Details
Original pdf loaded into Draw 5.1.2.2 and exported as pdf (28.62 KB, application/x-download)
2016-04-16 16:13 UTC, brian.bj.parker99
Details
PDF report (offtopic, sorry) (22.68 KB, application/vnd.oasis.opendocument.text)
2016-08-04 14:30 UTC, vvort
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brian.bj.parker99 2012-01-21 18:41:09 UTC
Created attachment 55940 [details]
original and modified pdfs (original created by UCSC genome browser)

Libreoffice Draw would be extremely useful for scientific illustrations and journal articles where it is common to make minor hand--edits to complex vector drawings  produced by other software as pdf: it has the required functionality but unfortunately basic bugs in pdf importing prevent its use for this.

I attach a real-world example technical pdf produced by the UCSC genome browser (http://genome.ucsc.edu/cgi-bin/hgGateway). The attached file "draw_bug_test_original.pdf" is an original complex pdf as produced by the UCSC genome browser. "draw_bug_test_after_draw.pdf" shows the same file after reading into libreoffice draw (LibreOffice 3.4.5 
OOO340m1 (Build:502) using File|open|portable document format (Draw) ). 
"draw_bug_test_after_draw.pdf" shows the pdf as it looks inside Draw (file|export as PDF) (note the problem is the importing of the pdf-- the errors noted below occur while editing in Draw and not just on export to pdf). 

You can see that several horizontal lines incorrectly are too long and start at the left edge of the figure; the fine vertical lines are too thick; and the colours are wrong in places-- blue instead of grey and light blue instead of dark blue.

If these basic pdf bugs were fixed then Draw would be a great tool for scientific document preparation, and I believe would find widespread usage there as only basic pdf editing is required.
Comment 1 tester8 2012-01-25 10:21:49 UTC
Reproduced with

LOdev 3.5.0rc1
e40af8c-10029e3-615e522-88673a2-727f724
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

Problem appears after importing, exporting is fine.
Comment 2 ign_christian 2013-06-22 08:35:09 UTC
Confirm still reproducible on LO 4.0.4.2 (Win7 32bit)
Set Platform: All -> affects Mac, Linux, Win
Comment 3 QA Administrators 2015-03-16 23:45:33 UTC Comment hidden (obsolete)
Comment 4 Jean-Baptiste Faure 2015-03-21 16:08:55 UTC
Tested with LibreOffice 4.4.3.0.0+ built at home under Ubuntu 14.10 x86-64.
Much better but not perfect: horizontal lines are still too long and start at the left edge of the figure. No parasitic vertical lines.

Best regards. JBF
Comment 5 brian.bj.parker99 2015-03-24 10:48:32 UTC
With LO 4.4.1.2 on OS X it has been substantially improved, however the major remaining defects are: horizontal lines being too long and an extra grey horizontal line.
Comment 6 tommy27 2016-04-16 07:28:09 UTC Comment hidden (obsolete)
Comment 7 brian.bj.parker99 2016-04-16 16:13:28 UTC
Created attachment 124410 [details]
Original pdf loaded into Draw 5.1.2.2 and exported as pdf
Comment 8 brian.bj.parker99 2016-04-16 16:15:04 UTC Comment hidden (obsolete)
Comment 9 brian.bj.parker99 2016-04-16 16:16:52 UTC Comment hidden (obsolete)
Comment 10 Jean-Baptiste Faure 2016-04-16 20:26:07 UTC
(In reply to brian.bj.parker99 from comment #9)
> Note: this bug is now a duplicate of 61144.

Why "now" ?

Best regards. JBF
Comment 11 brian.bj.parker99 2016-04-17 17:03:32 UTC
(In reply to Jean-Baptiste Faure from comment #10)
> (In reply to brian.bj.parker99 from comment #9)
> > Note: this bug is now a duplicate of 61144.
> 
> Why "now" ?
> 
> Best regards. JBF

When bug 61144 was originally submitted it showed multiple problems including wrong line widths, long lines etc.  The only remaining issue with 61144 in the recent versions of LO is lines extending beyond the figure boundary, which is also the issue shown by this bug.

Best,
BP
Comment 12 brian.bj.parker99 2016-04-17 17:06:21 UTC
(In reply to Jean-Baptiste Faure from comment #10)
> (In reply to brian.bj.parker99 from comment #9)
> > Note: this bug is now a duplicate of 61144.
> 
> Why "now" ?
> 
> Best regards. JBF

But yes, nothing in particular has changed in the latest release of LO- it has been this way for a while.

Best,
BP
Comment 13 Jean-Baptiste Faure 2016-05-06 15:28:04 UTC
(In reply to brian.bj.parker99 from comment #11)
> (In reply to Jean-Baptiste Faure from comment #10)
> > (In reply to brian.bj.parker99 from comment #9)
> > > Note: this bug is now a duplicate of 61144.
> > 
> > Why "now" ?
> > 
> > Best regards. JBF
> 
> When bug 61144 was originally submitted it showed multiple problems
> including wrong line widths, long lines etc.  The only remaining issue with
> 61144 in the recent versions of LO is lines extending beyond the figure
> boundary, which is also the issue shown by this bug.

So, it is 61144 that is a duplicate of this bug because it is newer.

Best regards. JBF
Comment 14 Heiko Tietze 2016-05-10 12:53:21 UTC
Looks like the issue has been fixed. Please verify with 5.2.

Version: 5.2.0.0.alpha0+
Build ID: 6b232aeecc55f1715bc111e636e36a8e24827efb
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-26_07:40:04
Locale: de-DE (de_DE)

(setting 61144 as duplicate of this one)
Comment 15 Heiko Tietze 2016-05-10 12:53:41 UTC
*** Bug 61144 has been marked as a duplicate of this bug. ***
Comment 16 brian.bj.parker99 2016-08-03 21:01:32 UTC
(In reply to Heiko Tietze from comment #14)
> Looks like the issue has been fixed. Please verify with 5.2.
> 
> Version: 5.2.0.0.alpha0+
> Build ID: 6b232aeecc55f1715bc111e636e36a8e24827efb
> CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
> TinderBox: Win-x86@39, Branch:master, Time: 2016-01-26_07:40:04
> Locale: de-DE (de_DE)
> 
> (setting 61144 as duplicate of this one)

The bug is still visible in LO Draw Version: 5.2.0.4 under OSX 10.11.6.
Comment 17 Heiko Tietze 2016-08-04 09:10:33 UTC
(In reply to brian.bj.parker99 from comment #16)
> The bug is still visible in LO Draw Version: 5.2.0.4 under OSX 10.11.6.

Okay, confirmed. The horizontal lines start at x=0 but should with the vertical axis. Stuart, is that a known issue?
Comment 18 V Stuart Foote 2016-08-04 14:19:14 UTC
(In reply to Heiko Tietze from comment #17)
> (In reply to brian.bj.parker99 from comment #16)
> > The bug is still visible in LO Draw Version: 5.2.0.4 under OSX 10.11.6.
> 
> Okay, confirmed. The horizontal lines start at x=0 but should with the
> vertical axis. Stuart, is that a known issue?

When I open the original PDF from bug 61144 ( attachment 75142 [details] ) in Infix and select the Sequence line, it reports having to clear a clipping mask. So, suspect the issue with both the import filter, and new "insert as image" filter in 5.3.0alpha0+ master, is dealing with a polygon clip mask present in the original.

That is bug 86211 - PDF Import: clipping is not implemented and there are other instances, e.g. bug 82262, bug 92815

Believe this issue can be closed as fidelity of the PDF import filter quite high. Export filter or a ghostscript print to PDF does reasonably well.

@Vort - Artem would you agree?
Comment 19 vvort 2016-08-04 14:30:53 UTC
Created attachment 126590 [details]
PDF report (offtopic, sorry)

Yes, this is a clipping problem.
Strange that I did not yet mentioned this here.

FYI, I've made some summary report about PDF problems in LO.
Attaching it here - maybe it can help someone.
Comment 20 V Stuart Foote 2016-08-04 14:47:08 UTC
(In reply to V Stuart Foote from comment #18)
> other instances, e.g. bug 82262, bug 92815

that should have been bug 92185
Comment 21 QA Administrators 2018-02-08 03:36:14 UTC Comment hidden (obsolete)
Comment 22 Jean-Baptiste Faure 2018-02-17 16:51:18 UTC
Tested with LO 6.0.2.0+ : nothing changed since comment #4

Best regards. JBF
Comment 23 QA Administrators 2019-02-18 03:44:45 UTC Comment hidden (obsolete)
Comment 24 brian.bj.parker99 2019-04-20 02:32:24 UTC
Bug is still present in LO Version: 6.2.2.2
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
on macOS.

(In reply to QA Administrators from comment #23)
> ** Please read this message in its entirety before responding **
> 
> To make sure we're focusing on the bugs that affect our users today,
> LibreOffice QA is asking bug reporters and confirmers to retest open,
> confirmed bugs which have not been touched for over a year.
> 
> There have been thousands of bug fixes and commits since anyone checked on
> this bug report. During that time, it's possible that the bug has been
> fixed, or the details of the problem have changed. We'd really appreciate
> your help in getting confirmation that the bug is still present.
> 
> If you have time, please do the following:
> 
> Test to see if the bug is still present with the latest version of
> LibreOffice from https://www.libreoffice.org/download/
> 
> If the bug is present, please leave a comment that includes the information
> from Help - About LibreOffice.
>  
> If the bug is NOT present, please set the bug's Status field to
> RESOLVED-WORKSFORME and leave a comment that includes the information from
> Help - About LibreOffice.
> 
> Please DO NOT
> 
> Update the version field
> Reply via email (please reply directly on the bug tracker)
> Set the bug's Status field to RESOLVED - FIXED (this status has a particular
> meaning that is not 
> appropriate in this case)
> 
> 
> If you want to do more to help you can test to see if your issue is a
> REGRESSION. To do so:
> 1. Download and install oldest version of LibreOffice (usually 3.3 unless
> your bug pertains to a feature added after 3.3) from
> http://downloadarchive.documentfoundation.org/libreoffice/old/
> 
> 2. Test your bug
> 3. Leave a comment with your results.
> 4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
> 4b. If the bug was not present in 3.3 - add 'regression' to keyword
> 
> 
> Feel free to come ask questions or to say hello in our QA chat:
> https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa
> 
> Thank you for helping us make LibreOffice even better for everyone!
> 
> Warm Regards,
> QA Team
> 
> MassPing-UntouchedBug